using System;
using System.Diagnostics.CodeAnalysis;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public class Rule2222 : Rule2222Base
    {
        private string name = "Rule2222";

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        private new void PrintName()
        {
            Console.WriteLine(this.name);
        }
    }

    public class Rule2222Base
    {
        private string name = "Rule2222Base";

        public void PrintName()
        {
            Console.WriteLine(this.name);
        }
    }
}
